<?php
defined('IN_HS') or exit('Access Denied');

require_once HS_ROOT."/$mod/include/product.class.php";
require_once HS_ROOT."/$mod/include/urlrule.inc.php";
require_once HS_ROOT."/include/tree.class.php";
require_once(HS_ROOT."/$mod/include/cache.func.php");
$pdtcls = new product();
$productid = isset($productid) ? intval($productid) : 0 ;
if($productid)
{
	$pdtcls->productid = $productid;
}
$tree = new tree();
$BRANDS = cache_read('product_brands.php');
$module = $mod;
$catid = isset($catid) ? $catid : 0;
$submenu=array(
	array("&nbsp;&nbsp;&nbsp;<input class=btn type=button value=' Ìí ¼Ó ' onclick=window.location='?mod=$mod&file=$file&action=main'>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<input class=btn type=button value=' ¹Ü Àí ' onclick=window.location='?mod=$mod&file=$file&action=manage'>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<input class=btn type=button value=' »Ø ÊÕ Õ¾ ' onclick=window.location='?mod=$mod&file=$file&action=manage&job=recycle'>","#"),
	);
$menu=adminmenu($LANG['product_manage_index'],$submenu);
$referer = isset($referer) ? $referer : $PHP_REFERER;
$action = isset($action) ? $action : 'manage';
$filearray = array('add','edit','delete','manage','listorder','checktitle','action','recycle','move','main');
in_array($action,$filearray) or showmessage($LANG['illegal_action'],$referer);
require $file."_".$action.".inc.php";
?>